% This file does all of the runs required for the figures.
% Once complete, run plot_5_22.m, plot_5_24 to get the results.

% set up the default parameters
rp.Nruns   = 200;   % number of iterations
rp.var_v   = 0.001; % variance of the noise  
rp.decay   = 0;     % decay constant (less than 1 for leaky-LMS)
rp.p       = 11;    % order of the equalizer
rp.tau     = 7;     % delay for the desired signal  
rp.verbose = 0;  

% rp.T parameter modifies the dispersion of the eigenvalues
% rp.Ndata: number of input samples
% rp.mu: adaptation constant 
rp.T = 2.9; rp.name = 'run1'; rp.Ndata = 500; rp.mu = 0.075;   run_lms_eq(rp);
rp.T = 3.1; rp.name = 'run2'; rp.Ndata = 500; rp.mu = 0.075;   run_lms_eq(rp);
rp.T = 3.3; rp.name = 'run3'; rp.Ndata = 500; rp.mu = 0.075;   run_lms_eq(rp);
rp.T = 3.5; rp.name = 'run4'; rp.Ndata = 500; rp.mu = 0.075;   run_lms_eq(rp);
rp.T = 3.1; rp.name = 'run5'; rp.Ndata = 1500; rp.mu = 0.0075; run_lms_eq(rp);
rp.T = 3.1; rp.name = 'run6'; rp.Ndata = 1500; rp.mu = 0.075;  run_lms_eq(rp);
rp.T = 3.1; rp.name = 'run7'; rp.Ndata = 1500; rp.mu = 0.025;  run_lms_eq(rp);
rp.var_v   = 0.1;
rp.T = 3.1; rp.name = 'run15'; rp.Ndata = 500; rp.mu = 0.075;  run_lms_eq(rp);
